TYPOS3 Core - Task #94149

Streamline spinner web component size and animation to match <typo3-backend-icon> component
2021-05-17 21:16 - Benjamin Franzke

Status: Closed Start date: 2021-05-17
Priority: Should have Due date:

Assignee: Benjamin Franzke % Done: 100%
Category: Backend JavaScript Estimated time: 0.00 hour
Target version: 11.3

TYPO3 Version: 11 Complexity:

PHP Version: Sprint Focus:

Tags:

Description

Size and style should inherit by default and animation should not cause inline text overflows.

Associated revisions

Revision 1cfbf51a - 2021-05-19 14:16 - Benjamin Franzke

[TASK] Streamline spinner web component size and animation
This change performs the following optimizations:

e Detach spinner from content flow using a relative+absolute
position normalization, allowing an equivalent positioning
to the regular backend icons.
This is to ensure that both, <typo3-backend-spinner> and
<typo3-backend-icon> render equally when used in inline(-block)
containers (for example .svg-toolbar__drag-node).
<typo3-backend-spinner> used to cause vertical alignment offsets,
when the spinner was positioned in inline text-flow and therefore
caused the vertical flow to cause offsets.

e Add a variant="light|dark" attribute to select
between the available TYPOS3 spinner variants.
By default the current color is now used.

Adapt sizing to inherit size from current font-size when used
without a specific size attribute. Also apply that to the
backend icon component to stay interchangeable.

Render spinner via SVG and only animate the spinning part
instead of the entire shape. This is to avoid the bouncing-icon
effect that CSS animations on the entire element cause

(as often seen with font-awesome spinners for example).

Releases: master

Resolves: #94149

Change-1d: 100d2e4915a0644726f78abe485fd9e2760539259
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/69162
Tested-by: Oliver Bartsch <bo@cedev.de>

Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Tested-by: core-ci <typo3@b13.com>

Tested-by: Benjamin Franzke <bfr@gbus.de>

Reviewed-by: Oliver Bartsch <bo@cedev.de>

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Benjamin Franzke <bfr@qgbus.de>

History

#1 - 2021-05-17 21:24 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/69162
#2 - 2021-05-19 11:21 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/69162

#3 - 2021-05-19 18:55 - Benjamin Franzke
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 1cfbf51a2a9d2a3827e9922baea83ddcb4122489.

#4 - 2021-07-18 15:47 - Benni Mack

- Status changed from Resolved to Closed
